Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1194993

Summary: Review Request: nodejs-colors0 - Get colors in your Node.js console
Product: [Fedora] Fedora Reporter: Piotr Popieluch <piotr1212>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jsmith.fedora, package-review, rbean, tchollingsworth
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-02-23 15:17:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1191212, 1194994    

Description Piotr Popieluch 2015-02-21 18:47:51 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-colors/nodejs-colors1.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-colors/nodejs-colors1-1.0.3-1.fc21.src.rpm
Description: Get colors in your Node.js console
Fedora Account System Username: piotrp

This is a multiversion request. nodejs-colors > 1 is needed for nodejs-cli-tables. colors 1 is backwards incompatible with < 1 and some dependent modules have not updated yet to colors > 1.

This needs an update on nodejs-packaging and nodejs-colors, see :
https://piotrp.fedorapeople.org/nodejs-colors/nodejs-colors-0.6.2-3.fc21.src.rpm
and 
https://piotrp.fedorapeople.org/nodejs-colors/nodejs-packaging-7-3.fc21.src.rpm

I have symlinked colors 0.6.3 to /usr/lib/node_modules/colors to not break packages in released Fedora releases. Should I move and point the symlink to the new package for f22 and Rawhide?

Comment 1 T.C. Hollingsworth 2015-02-21 21:32:10 UTC
When we introduce parallel-installable library packages of any language in Fedora, we typically package the older version as a separate SRPM, and leave the unversioned name for the latest version of the package.  The other multiply versioned nodejs-* packages follow this general rule-of-thumb, e.g. uglify-js (2)/uglify-js1 and nodejs-nan (1)/nodejs-nan0.

I'd prefer it if this package would be consistent with the other two multiply versioned packages, and have nodejs-colors (1) and nodejs-colors0.  You can then have nodejs-colors0 `Obsoletes: nodejs-colors < 1` for a smooth transition.

(In reply to Piotr Popieluch from comment #0)
> I have symlinked colors 0.6.3 to /usr/lib/node_modules/colors to not break
> packages in released Fedora releases. Should I move and point the symlink to
> the new package for f22 and Rawhide?

Yes, please always keep the version the same in released Fedoras and move the symlink to the newest version in unreleased versions.

Comment 2 Piotr Popieluch 2015-02-21 21:58:41 UTC
Thank you for the quick response. I was in doubt of the version name and decided to name the new one *1 to prevent a package rename. But you are right, I will update the packages tomorrow to be consistent.

Comment 3 Piotr Popieluch 2015-02-22 20:28:25 UTC
Updates specs:
- packaged older version as new package: nodejs-colors0 = 0.6.2
- updated current version to 1.0.3
- added conditionals for symlinks: 
   o f22 + rawhide + rhel 7  symlink to 1.0.3
   o release fedora's and rhel symlink to 0.6.2
- added %pretrans script which moves the module if the directory isn't a symlink.
- added 'Obsoletes:  nodejs-colors < 1' to nodejs-colors0

0.6.2
Spec URL: https://piotrp.fedorapeople.org/nodejs-colors/nodejs-colors0.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-colors/nodejs-colors0-0.6.2-1.fc21.src.rpm

1.0.3
Spec URL: https://piotrp.fedorapeople.org/nodejs-colors/nodejs-colors.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-colors/nodejs-colors-1.0.3-1.fc21.src.rpm


I've tested some update scenarios on f21 and on rawhide which seems to work fine. Only thing I don't understand: when I install a package which depends on 0.6 dnf wants to install both modules, I would expect it to install only nodejs-colors0 (this was on f21).

Comment 4 Jared Smith 2016-02-23 15:17:32 UTC
Everything in Fedora has been updated to use npm(colors) >= 1, so I'm closing this as WONTFIX.